Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-69237

Error while configuring this pligin

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Duplicate
    • zap-plugin

    Description

      After installing official owasp plugin. I was tried to enter all the details like in authenticaton and session properties and when i click save it throws a error.

      Attachments

        Issue Links

          Activity

            seguebe Sergio added a comment - - edited

            Good morning.

            The same issue is happening to me when trying to change the configuration of an existing job that is using this plugin.

            I also tried to change the configuration through the config.xml file of that job, but it didn't work either. The changes doesn't apply when I check the configuration of the job in the GUI.

            Is it known a way to fix this?

            I am using Jenkins 2.332.3

             

            Greetings.

            seguebe Sergio added a comment - - edited Good morning. The same issue is happening to me when trying to change the configuration of an existing job that is using this plugin. I also tried to change the configuration through the config.xml file of that job, but it didn't work either. The changes doesn't apply when I check the configuration of the job in the GUI. Is it known a way to fix this? I am using Jenkins 2.332.3   Greetings.
            markewaite Mark Waite added a comment -

            seguebe since that plugin was last released 6 years ago and includes table elements in its configuration form, it is not compatible with the configuration form modernization in Jenkins 2.277.1 and later. See the Jenkins 2.277.1 changelog, Jenkins 2.277.1 upgrade guide, and Jenkins 2.277.1 webinar for more details.

            Your choices include:

            • Adopt the plugin and use the tables to divs migration guide to fix the issue
            • Remove the plugin and find another way to accomplish your objective
            • Use a Jenkins version prior to 2.277.1

            The plugin also has a known security vulnerability. If you're not willing to adopt it and fix it, then you should remove it from your installation.

            Closing as duplicate of JENKINS-65399

            markewaite Mark Waite added a comment - seguebe since that plugin was last released 6 years ago and includes table elements in its configuration form , it is not compatible with the configuration form modernization in Jenkins 2.277.1 and later. See the Jenkins 2.277.1 changelog , Jenkins 2.277.1 upgrade guide , and Jenkins 2.277.1 webinar for more details. Your choices include: Adopt the plugin and use the tables to divs migration guide to fix the issue Remove the plugin and find another way to accomplish your objective Use a Jenkins version prior to 2.277.1 The plugin also has a known security vulnerability . If you're not willing to adopt it and fix it, then you should remove it from your installation. Closing as duplicate of JENKINS-65399
            seguebe Sergio added a comment -

            Thank you for the info, markewaite 

            seguebe Sergio added a comment - Thank you for the info, markewaite  

            People

              jordangs Goran Sarenkapa
              sanjay23 Sanjay kumar
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: